<?php
// edit-stored-information.php

// Include WordPress core functionality
require_once(ABSPATH . 'wp-load.php');

// Check if user has permission
if (!current_user_can('manage_options')) {
    wp_die('Unauthorized access', 'Error');
}

// Check if ID parameter is set in the URL
if (isset($_GET['id'])) {
    $id = intval($_GET['id']); // Convert ID to integer
    $stored_stores = get_option('stored_stores', array());

    // Check if the ID is valid and exists in the stored_stores array
    if ($id >= 0 && $id < count($stored_stores)) {
        // Get the store details
        $store = $stored_stores[$id];

        // Handle form submission
        if (isset($_POST['update_store'])) {
            // Update store details based on form input
            // Example: $store['name'] = $_POST['name'];

            // Update stored_stores option with the modified store details
            $stored_stores[$id] = $store;
            update_option('stored_stores', $stored_stores);

            // Redirect back to the list page after update
            wp_redirect(admin_url('admin.php?page=stored-information-list'));
            exit;
        }
    } else {
        // Invalid store ID, redirect to the list page
        wp_redirect(admin_url('admin.php?page=stored-information-list'));
        exit;
    }
} else {
    // No ID parameter found, redirect to the list page
    wp_redirect(admin_url('admin.php?page=stored-information-list'));
    exit;
}
?>

<!-- Display Edit Form -->
<div class="wrap">
    <h2>Edit Stored Information</h2>
    <form method="post" action="">
        <!-- Add form fields for editing store information -->
        <input type="submit" name="update_store" value="Update">
    </form>
</div>
